
@import url("https://fonts.googleapis.com/css2?family=Lexend:wght@100..900&family=Roboto:ital,wght@0,100..900;1,100..900&display=swap");

html
{
    height:100%;
    width: 100%;
    margin:0;

    box-sizing: border-box;
    
    min-width: 140px;

    overflow: hidden;
}

body
{
    background-color: black;
    color: aliceblue;
    height: 100%;
    width: 100%;
    font-family: "Roboto", sans-serif;
    font-optical-sizing: auto;
    font-weight: 100;
    font-style: normal;
    margin:0;
    
    box-sizing: border-box;
}

p
{
    margin: 0px;
}

#windows
{
    
    box-sizing: border-box;
}

#wrapper
{
    
    box-sizing: border-box;
}

#timerDiv
{
    background-color: black;
    text-align: center;
    display: grid;
    place-content: center;
    width: 100%;
    width: fit-content;
    padding: 2%;
    border: 1px solid white;
    box-sizing: border-box;
}

#timerContainer
{
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
    width: 100%;
    box-sizing: border-box;
}


#timerTxt
{
    font-size: 120px;
}

#pomodoro_status_txt
{
    font-size: 40px;
}


#startStopDiv
{
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    height: auto;
    width: 100%;
}

#resetDiv
{
    display: flex;
}

.btn
{
    
    font-family: 'Roboto', sans-serif;
    font-weight: 100;
    height: 50px;
    width: 180px;
    font-size: 35px;
    color: aliceblue;
    background-color: rgba(0,0,0,0);
    border: 1px solid rgba(255, 246, 225,0);

    transition: 0.2s ease-out, border 0.2s ease-out
}

.btn:hover
{
    border: 1px solid aliceblue;
}

#btnReset
{
    width: 100%;
}





#timerSettingsDiv
{
    display: flex;
    justify-content: space-evenly;
}

.timerSettingsWrapper
{
    display: flex;
    justify-content: center;
    align-items: center;
    width: 180px;
}

.timerSettingsWrapper p
{
    font-size: 40px;
    margin: 0 3% 0 3%;
}

.smallBtn
{
    background-color: rgba(0,0,0,0);
    border: 1px solid rgba(255, 246, 225,0);
    color: white;
    font-size: 20px;
    
    width: 30px;
    height: 30px;

    text-align: center;
    align-items: center;

    transition: border 0.2s ease-out;
}

.smallBtn:hover
{
    border: 1px solid aliceblue;
}   

.stars_wallpaper
{
    visibility: hidden;
}



@media only screen and (max-width: 768px)
{
    #windows
    {
        visibility: visible;
        padding: 0;
    }

    #wrapper
    {
        padding:0;
    }

    #timerDiv
    {
        width: 100%;
        height: 100%;
        padding: 0px;
        margin: 0px;
        border: 0px;
    }

    .btn
    {
        width: 150px;
        height: 50px;
        font-size: 25px;
    }

    .smallBtn
    {
        font-size: 15px
    }

    .timerSettingsWrapper
    {
        width: 150px;
    }

    .timerSettingsWrapper p
    {
        font-size: 25px
    }

    #timerTxt
    {
        font-size: 70px;
    }

    #pomodoro_status_txt
    {
        font-size: 25px;
    }

    .windows_header
    {
        visibility: hidden;
        width: 0px;
        height: 0px;
    }

    .windows_header img
    {
        visibility: hidden;
        width: 0px;
        height: 0px;
    }

    #columns_wrapper
    {
        padding: 0px;
    }

    #windows
    {
        height: 100%;
    }
}



@media only screen and (max-width: 300px)
{
    #windows
    {
        visibility: visible;
        padding: 0;
    }

    #wrapper
    {
        padding:0;
    }

    #timerDiv
    {
        width: 100%;
        height: 100%;
    }

    p
    {
        font-size: 25px;
    }

    #timerTxt
    {
        font-size: 30px;
    }

    .btn
    {
        width: 70px;
        height: 30px;
        font-size: 15px;
    }

    .smallBtn
    {
        width: 15px;
        height: 15px;
        font-size: 7px;
    }

    .timerSettingsWrapper
    {
        width: 70px;
    }

    .timerSettingsWrapper p
    {
        font-size: 15px;
    }

    #pomodoro_status_txt
    {
        margin-top: 5%;
        font-size: 18px;
    }
}